<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FFFACD"
    android:gravity="center"
    android:orientation="vertical">

    <ScrollView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:fillViewport="true">

        <LinearLayout
            android:id="@+id/LinearLayout"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <GridLayout
                xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/AllGridLayout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:columnCount="5"
                android:orientation="horizontal"
                android:rowCount="85">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_marginRight="1dp"
                    android:text="X Output Max(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/xoutputmax"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="0"
                    android:layout_column="2"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="        " />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_marginRight="1dp"
                    android:text="Y Output Max(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/youtputmax"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp" />

                <TextView
                    android:layout_row="1"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="2"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="DrvGroupAnumber(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/drvgroupanum"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="2"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="DrvGroupBnumber(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/drvgroupbnum"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="3"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="4"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="SenGroupANumber(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sengroupanum"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="4"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="SenGroupBnumber(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sengroupbnum"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="5"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="6"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH0(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch0"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="6"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH1(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="7"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="8"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH2(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="8"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH3(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="9"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="10"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH4(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch4"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="10"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH5(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch5"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="11"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="12"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH6(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch6"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="12"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH7(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch7"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="13"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="14"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH8(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch8"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="14"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH9(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch9"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="15"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="16"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH10(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch10"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="16"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH11(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch11"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="17"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="18"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH12(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch12"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="18"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH13(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch13"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="19"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="20"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH14(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch14"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="20"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH15(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch15"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="21"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="22"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH16(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch16"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="22"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH17(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch17"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="23"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="24"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH18(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch18"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="24"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH19(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch19"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="25"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="26"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH20(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch20"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="26"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH21(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch21"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="27"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="28"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH22(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch22"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="28"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH23(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch23"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="29"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="30"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH24(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch24"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="30"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH25(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch25"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="31"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="32"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH26(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch26"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="32"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH27(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch27"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="33"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="34"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH28(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/sensorch28"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="34"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_CH29(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorch29"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="35"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="36"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_Start(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/sensorstart"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="36"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Sensor_End(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/sensorend"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="37"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <Button
                    android:id="@+id/btnsensorrev"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="38"
                    android:layout_column="0"
                    android:layout_columnSpan="2"
                    android:layout_gravity="center"
                    android:text="Btn_Sensor_Rev"
                    android:textAllCaps="false"
                    android:textSize="22dp" />

                <Button
                    android:id="@+id/allsensorchannels"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="38"
                    android:layout_column="3"
                    android:layout_columnSpan="2"
                    android:layout_gravity="center"
                    android:text="All_Sensor_Channels"
                    android:textAllCaps="false"
                    android:textSize="22dp" />

                <TextView
                    android:layout_row="39"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="40"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH0(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch0"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="40"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH1(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="41"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="42"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH2(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="42"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH3(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="43"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="44"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH4(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch4"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="44"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH5(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch5"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="45"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="46"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH6(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch6"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="46"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH7(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch7"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="47"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="48"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH8(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch8"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="48"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH9(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch9"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="49"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="50"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH10(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch10"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="50"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH11(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch11"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="51"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="52"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH12(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch12"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="52"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH13(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch13"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="53"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="54"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH14(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch14"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="54"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH15(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch15"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="55"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="56"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH16(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch16"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="56"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH17(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch17"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="57"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="58"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH18(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch18"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="58"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH19(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch19"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="59"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="60"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH20(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch20"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="60"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH21(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch21"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="61"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="62"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH22(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch22"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="62"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH23(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch23"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="63"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="64"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH24(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch24"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="64"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH25(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch25"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="65"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="66"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH26(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch26"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="66"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH27(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch27"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="67"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="68"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH28(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch28"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="68"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH29(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch29"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="69"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />


                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="70"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH30(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch30"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="70"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH31(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch31"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="71"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="72"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH32(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch32"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="72"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH33(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch33"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="73"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="74"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH34(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch34"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="74"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH35(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch35"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="75"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="76"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH36(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch36"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="76"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH37(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch37"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="77"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="78"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH38(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch38"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="78"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH39(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch39"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="79"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="80"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH40(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverch40"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_row="80"
                    android:layout_column="3"
                    android:layout_marginRight="5dp"
                    android:text="Driver_CH41(D)"
                    android:textColor="#000000"
                    android:textSize="22dp"/>

                <EditText
                    android:id="@+id/driverch41"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="81"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="82"
                    android:layout_column="0"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_Start(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverstart"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="82"
                    android:layout_column="3"
                    android:layout_gravity="right"
                    android:layout_marginRight="5dp"
                    android:text="Driver_End(D)"
                    android:textColor="#000000"
                    android:textSize="22dp" />

                <EditText
                    android:id="@+id/driverend"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="fill"
                    android:background="@drawable/bg_frame_search"
                    android:singleLine="true"
                    android:text="00"
                    android:textSize="22dp"
                    android:textAlignment="center"/>

                <TextView
                    android:layout_row="83"
                    android:layout_column="0"
                    android:layout_columnSpan="5"
                    android:layout_gravity="fill"
                    android:layout_marginRight="1dp"
                    android:text="" />

                <Button
                    android:id="@+id/btndriverrev"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="84"
                    android:layout_column="0"
                    android:layout_columnSpan="2"
                    android:layout_gravity="center"
                    android:text="Btn_Driver_Rev"
                    android:textAllCaps="false"
                    android:textSize="22dp" />

                <Button
                    android:id="@+id/alldriverchannels"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_row="84"
                    android:layout_column="3"
                    android:layout_columnSpan="2"
                    android:layout_gravity="center"
                    android:text="All_Driver_Channels"
                    android:textAllCaps="false"
                    android:textSize="22dp" />

            </GridLayout>
        </LinearLayout>
    </ScrollView>
</LinearLayout>